//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class Funciones
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Funciones()
        {
            this.FuncionesDetalle = new HashSet<FuncionesDetalle>();
        }
    
        public int id { get; set; }
        public string fref { get; set; }
        public int codigoFuncion { get; set; }
        public int idPelicula { get; set; }
        public int idCine { get; set; }
        public System.DateTime fechaHora { get; set; }
        public System.DateTime fechaHoraFicticia { get; set; }
        public string lenguaje { get; set; }
        public string formato { get; set; }
        public string sala { get; set; }
        public bool vender { get; set; }
        public bool mostrar { get; set; }
        public int maxVentas { get; set; }
        public string estadoventa { get; set; }
    
        public virtual Cines Cines { get; set; }
        public virtual Peliculas Peliculas { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<FuncionesDetalle> FuncionesDetalle { get; set; }
    }
}
